From 15eda68315baaffd5f4e1dcff2fbfce5ad4e4732 Mon Sep 17 00:00:00 2001
From: Steve MacLean <sdmaclea.qdt@qualcommdatacenter.com>
Date: Wed, 30 May 2018 12:01:03 -0400
Subject: [PATCH] Reduce race risk in MutexWaitOne2::PosTest4()

---
 tests/src/baseservices/threading/mutex/misc/waitone2.cs | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/tests/src/baseservices/threading/mutex/misc/waitone2.cs b/tests/src/baseservices/threading/mutex/misc/waitone2.cs
index 6c1821c..cfb4992 100644
--- a/tests/src/baseservices/threading/mutex/misc/waitone2.cs
+++ b/tests/src/baseservices/threading/mutex/misc/waitone2.cs
@@ -206,8 +206,8 @@ public class MutexWaitOne2
 
             thread = new Thread(new ThreadStart(CallContextBoundObjectMethod));
             thread.Start();
-            Thread.Sleep(c_DEFAULT_SLEEP_TIME / 5); // To avoid race
-            if (false != m_Mutex.WaitOne(c_DEFAULT_SLEEP_TIME))
+            Thread.Sleep(c_DEFAULT_SLEEP_TIME); // To avoid race
+            if (false != m_Mutex.WaitOne(c_DEFAULT_SLEEP_TIME / 5))
             {
                 m_Mutex.ReleaseMutex();
                 TestLibrary.TestFramework.LogError("006", "WaitOne returns true when wait some finite time will quit for timeout when another thread is in nondefault managed context");
-- 
2.7.4

